from sqlalchemy import BigInteger, DateTime, String, Column
from config.database import Base


class ExplanationContentType(Base):
    """
    讲解内容类型表
    """

    __tablename__ = 'explanation_content_type'

    content_type_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键ID')
    name = Column(String(32), nullable=True, comment='类型名称')
    type_value = Column(String(2), nullable=True, comment='类型值（与讲解内容表中的type对应）')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='修改时间')
    update_by = Column(String(64), nullable=True, comment='修改者')



